#ifndef _MIGNOTTESEQUENCE_H_
#define _MIGNOTTESEQUENCE_H_

#include <mpnt/mpnt.h>
using namespace MpNT;

class MignotteSequence {
public:
	MignotteSequence(unsigned int n_, unsigned int k_, unsigned int bits_);
	
	unsigned int get_n() {
		return n;
	}
	
	unsigned int get_k() {
		return k;
	}

	unsigned int get_bits() {
		return bits;
	}
	
	MpInt get_alpha() {
		return alpha;
	}
	
	MpInt get_beta() {
		return beta;
	}
	
	MpInt get_m(int i) {
		return m[i];
	}
private:
	unsigned int n;
	unsigned int k;
	unsigned int bits;
	vector<MpInt> m;
	MpInt alpha, beta;
};

#endif //_MIGNOTTESEQUENCE_H_
