#ifndef _NEWBUGSTEST_H_
#define _NEWBUGSTEST_H_

#include <mpnt/mpnt.h>

using namespace MpNT;

#include <iostream>
using namespace std;

#include <cppunit/TestFixture.h>
#include <cppunit/extensions/HelperMacros.h>

class NewBugsTest :public CppUnit::TestCase {
	CPPUNIT_TEST_SUITE(NewBugsTest);
	CPPUNIT_TEST(testBitAnd); // fixed
	CPPUNIT_TEST(testGcd); // fixed
	CPPUNIT_TEST(testGetLengthBase); // fixed
	CPPUNIT_TEST(testBitAnd2);
	CPPUNIT_TEST(testShr);
	CPPUNIT_TEST(testSetWdig); // fixed
	CPPUNIT_TEST_SUITE_END();
public:
	// real bugs
	void testBitAnd();
	void testGcd();
	void testGetLengthBase();
	void testSetWdig();

	// false alarms
	void testBitAnd2();
	void testShr();
};

#endif //_NEWBUGSTEST_H_
