
#include <cppunit/ui/text/TestRunner.h>
#include <cppunit/TestCaller.h>
#include "ShamirTest.h"
#include "MignotteSequenceTest.h"
#include "MignotteTest.h"
#include "NewBugsTest.h"
#include "VigenereTest.h"
#include "DESTest.h"
#include "AESTest.h"

int main() {
	CppUnit::TextUi::TestRunner runner;
//	runner.addTest(ShamirTest::suite());
	runner.addTest(MignotteSequenceTest::suite());
//	runner.addTest(MignotteTest::suite()); // bugs here
	runner.addTest(VigenereTest::suite());
	runner.addTest(DESTest::suite());
	runner.addTest(AESTest::suite());
	runner.addTest(NewBugsTest::suite());
	
	if (runner.run()) {
		return 0;
	} else {
		return 1;
	}
}
