#ifndef _MIGNOTTESEQUENCETEST_H_
#define _MIGNOTTESEQUENCETEST_H_

#include <cppunit/TestCase.h>
#include <cppunit/extensions/HelperMacros.h>
#include "MignotteSequence.h"

class MignotteSequenceTest :public CppUnit::TestCase {
	CPPUNIT_TEST_SUITE(MignotteSequenceTest);
	CPPUNIT_TEST(testConstructorBasic);
	CPPUNIT_TEST(testAlphaGreaterThanBeta);
	CPPUNIT_TEST(testAlpha);
	CPPUNIT_TEST(testBeta);
	CPPUNIT_TEST(testRelativePrime);
	CPPUNIT_TEST_SUITE_END();
public:
	void setUp();
	void tearDown();
	void testConstructorBasic();
	void testAlpha();
	void testBeta();
	void testAlphaGreaterThanBeta();
	void testOrdering();
	void testRelativePrime();
	
private:
	MignotteSequence *mseq;
	unsigned int n, k, bits;
};

#endif //_MIGNOTTESEQUENCETEST_H_
