#ifndef _MIGNOTTETEST_H_
#define _MIGNOTTETEST_H_

#include <cppunit/TestFixture.h>
#include <cppunit/extensions/HelperMacros.h>
#include "Mignotte.h"

class MignotteTest :public CppUnit::TestCase {
	CPPUNIT_TEST_SUITE(MignotteTest);
//	CPPUNIT_TEST(testDummy);
//	CPPUNIT_TEST(testDummy2);
//	CPPUNIT_TEST(testDummy3);
	CPPUNIT_TEST(testConstructorBasic);
	CPPUNIT_TEST(testSecret);
	CPPUNIT_TEST_SUITE_END();

public:
	void setUp();	
	void tearDown();
	void testDummy();
	void testDummy2();
	void testDummy3();
	void testConstructorBasic();
	void testSecret();
	
private:
	Mignotte *mignotte;
	MignotteSequence *mseq;
	unsigned int n, k, bits;
};

#endif //_MIGNOTTETEST_H_
