#ifndef SHAMIR_H
#define SHAMIR_H

#include <mpnt/mpnt.h>
using namespace MpNT;

class Shamir 
{
private:
	unsigned int n;
	unsigned int k;
	unsigned int bits;
	MpInt S;
	MpModulus q;
	vector<pair<MpInt,MpInt> > I;
public:
	Shamir(unsigned int n_, unsigned int k_, unsigned int bits_);
	unsigned int get_n();
	unsigned int get_k();
	unsigned int get_bits();
	MpInt get_q();
	MpInt get_secret();
	pair<MpInt, MpInt> get_subsecret(unsigned int i);
	bool verify(vector<pair<MpInt, MpInt> > users);
};

#endif
